> ## Documentation Index
> Fetch the complete documentation index at: https://cantonfoundation-splice-openapi-manual-pages-preview.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# SV node internal API (CIP-0104, subject to change)

<div class="x2mdx-ref-page x2mdx-ref-page--operation x2mdx-ref-page--manual-api" />

<div class="x2mdx-ref-hero">
  <p class="x2mdx-ref-eyebrow">Scan API</p>

  <h1 class="x2mdx-ref-title">SV node internal API (CIP-0104, subject to change)</h1>

  <div class="x2mdx-ref-badges">
    <span class="x2mdx-ref-badge x2mdx-ref-badge--protocol">OpenAPI</span>

    <span class="x2mdx-ref-badge x2mdx-ref-badge--added">Since 0.6.0</span>

    <span class="x2mdx-ref-badge x2mdx-ref-badge--changed">Changed 0.6.5</span>
  </div>
</div>

SV node internal API (CIP-0104, subject to change). Returns the root hash computed for the specified round.

## Protocol Details

<div class="x2mdx-ref-meta-grid">
  <div class="x2mdx-ref-meta-item">
    <span class="x2mdx-ref-meta-label">Operation ID</span>
    <span class="x2mdx-ref-meta-value">getRewardAccountingRootHash</span>
  </div>

  <div class="x2mdx-ref-meta-item">
    <span class="x2mdx-ref-meta-label">Published</span>
    <span class="x2mdx-ref-meta-value">0.7.4</span>
  </div>

  <div class="x2mdx-ref-meta-item">
    <span class="x2mdx-ref-meta-label">Specification</span>
    <span class="x2mdx-ref-meta-value"><a href="/openapi/splice/scan/scan.yaml">Download OpenAPI</a></span>
  </div>
</div>

## Inputs

### Path parameters

<ParamField path="round_number" type="number" required>
  OpenAPI type: `integer (int64)`.
</ParamField>

## Outputs

### 200

<div class="x2mdx-ref-badges">
  <span class="x2mdx-ref-badge x2mdx-ref-badge--neutral">application/json</span>
</div>

<ResponseField name="value" type="GetRewardAccountingRootHashResponse" required />

## History

<div class="x2mdx-ref-history" aria-label="Reference history">
  <div class="x2mdx-ref-history-event x2mdx-ref-history-event--changed">
    <div class="x2mdx-ref-history-event-head">
      <span class="x2mdx-ref-history-event-label">Changed</span>
      <code class="x2mdx-ref-history-event-version">0.6.5</code>
    </div>

    <p class="x2mdx-ref-history-event-detail">The operation moved from GET /v0/reward-accounting-process/rounds/\{round\_number}/root-hash to GET /v0/internal/reward-accounting-process/rounds/\{round\_number}/root-hash.</p>
  </div>

  <div class="x2mdx-ref-history-event x2mdx-ref-history-event--introduced">
    <div class="x2mdx-ref-history-event-head">
      <span class="x2mdx-ref-history-event-label">Introduced</span>
      <code class="x2mdx-ref-history-event-version">0.6.0</code>
    </div>
  </div>
</div>

<RequestExample>
  ```bash Request theme={null}
  curl --request GET \
    --url 'https://scan.sv-1.global.canton.network.sync.global/api/scan/v0/internal/reward-accounting-process/rounds/{round_number}/root-hash'
  ```
</RequestExample>

<ResponseExample>
  ```json 200 response theme={null}
  {
    "status": "string",
    "round_number": 0,
    "root_hash": "string"
  }
  ```
</ResponseExample>
